XPATH(1)

NAME
xpath - a script to query XPath statements in XML documents.

SYNOPSIS
xpath [-s suffix] [-p prefix] [-n] [-q] -e query [-e query] ... [file] ...

DESCRIPTION
xpath uses the XML::XPath perl module to make XPath queries to any XML document. The XML::XPath module aims to comply exactly to the XPath specification at "http://www.w3.org/TR/xpath" and yet allows extensions to be added in the form of functions.

The script takes any number of XPath pointers and tries to apply them to each XML document given on the command line. If no file arguments are given, the query is done using "STDIN" as an XML document.

When multiple queries exist, the result of the last query is used as context for the next query and only the result of the last one is output. The context of the first query is always the root of the current document.

OPTIONS

  -q
Be quiet. Output only errors (and no separator) on stderr.

  -n
Never use an external DTD, ie. instantiate the XML::Parser module with 'ParseParamEnt => 0'.

  -s suffix
Place "suffix" at the end of each entry. Default is a linefeed.

  -p prefix
Place "prefix" preceding each entry. Default is nothing.

BUGS
The author of this man page is not very fluant in english. Please, send him (fabien@tzone.org) any corrections concerning this text.

SEE ALSO
XML::XPath

LICENSE AND COPYRIGHT
This module is copyright 2000 AxKit.com Ltd. This is free software, and as such comes with NO WARRANTY. No dates are used in this module. You may distribute this module under the terms of either the Gnu GPL, or the Artistic License (the same terms as Perl itself).

For support, please subscribe to the Perl-XML <http://listserv.activestate.com/mailman/listinfo/perl-xml> mailing list at the URL